/*
 * Copyright (C) 2008, Nokia gate5 GmbH Berlin
 *
 * These coded instructions, statements, and computer programs contain
 * unpublished proprietary information of Nokia gate5 GmbH, and are
 * copy protected by law. They may not be disclosed to third parties
 * or copied or duplicated in any form, in whole or in part, without
 * the specific, prior written permission of Nokia gate5 GmbH.
 */

// NOTE [ST] any changes to this script may be also applied to the distribution.html in the application root

var hadError = false;
// handler for the loaded namespaces
var nsLoaded = function(aMsg, aSuccess) {
    if (!aSuccess) {
        if (!hadError) {
            alert("Application startup failed!\n" + aMsg);
            nokia.aduno.utils.error("Application startup failed!\n" + aMsg);
        }
        return;
    }
    var env = nokia.maps.application.Environment;

    //Note: the amount of pendings should be adapted if the amount of Loaders is changed
    var __pending = env.css.length + 1;
    // handler for the loaded template library
    var libLoaded = function() {
        --__pending;
        if (__pending === 0) {
            delete __pending;
            (new nokia.maps.application[env.app]().setup());
        }
    };

    var cssLoader;
    for (var i = 0; i < env.css.length; i++) {
        cssLoader = new nokia.aduno.Loader({
            bind: this,
            handler: libLoaded,
            uri: env.css[i],
            type: "css",
            window: self
        });
    }

    (new nokia.aduno.Loader({
        //async: true,
        bind: this,
        handler: libLoaded,
        type: "script",
        uri: env.js
    }));
};


if (!nokia.maps.application && !nokia.maps.maplet && !nokia.maps.common) {
    nokia.aduno.NsLoader.async = true;
    var nsManager = new nokia.aduno.NsManager("medos/javascripts/");
    nsManager.addReadyHandler({}, nsLoaded);
    nsManager.addNs("nokia.maps.maplet").addNs("nokia.maps.application").addNs("nokia.maps.common");
} else {
    nsLoaded("", true);
}

